def gcd(a, b):
    if b == 0:
        return a
    return gcd(b, a % b)

def find_path(a, b):
    path = ""
    current_a = 0
    current_b = 1

    while True:
        if current_a == a and current_b == b:
            return path

        next_a = current_a + current_b
        next_b = current_b + current_a

        if next_a * b == next_b * a:
            common_divisor = gcd(next_a, next_b)
            next_a //= common_divisor
            next_b //= common_divisor
            if next_a == a and next_b == b:
                return path

        if a * current_b > b * current_a:
            path += "L"
            current_a = next_a
            current_b = next_b
        else:
            path += "R"
            current_a = current_b
            current_b = next_a
    return "no"


def solve():
    a, b = map(int, input().split())
    result = find_path(a,b)
    print(result)
