def check_pairs_sum():
    user_input = input("Enter a 6-digit number: ")

    # Check if the input length is 6
    if len(user_input) != 6:
        print("Please enter a 6-digit number.")
        return

    # Convert input to a list of integers
    numbers = [int(num) for num in user_input]

    # Sort the numbers
    numbers.sort()

    # Check if the sum of opposite pairs is the same
    if numbers[0] + numbers[5] == numbers[1] + numbers[4] == numbers[2] + numbers[3]:
        print("Yes")
    else:
        print("No")
